This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 40876

Summary: Duplicate filesystem is mounted after escaping wizard
Product: platform Reporter: Marian Mirilovic <mmirilovic>
Component: Dialogs&WizardsAssignee: Jiri Rechtacek <jrechtacek>
Status: VERIFIED FIXED    
Severity: blocker CC: dsimonek
Priority: P2 Keywords: SIMPLEFIX
Version: 3.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Attachments: simple fix

Description Marian Mirilovic 2004-03-09 16:19:53 UTC
[nb_release36](200403081830), [jdk1.4.2_03]

Steps to reproduce:
- run IDE
- mount some local filesystem (MyLocalFilesystem)
- invoke Mount Wizard  again 
- select MyLocalFilesystem in the tree and press Esc
-> Duplicate MyLocalFilesystem is mounted - all
children contain  prefix "Duplicate"
Comment 1 Jiri Rechtacek 2004-03-09 17:54:26 UTC
fixed in maintrunk. Marian, please assure if the fix in Template
wizard is safe in tomorrow build. If yes it could be integrated in
release36. Thanks
Comment 2 Marian Mirilovic 2004-03-10 11:07:30 UTC
rising priority to P2 - it must be fixed for NB3.6
Comment 3 Jiri Rechtacek 2004-03-10 11:12:04 UTC
Created attachment 13920 [details]
simple fix
Comment 4 Marian Mirilovic 2004-03-10 12:10:41 UTC
verified in [nb_dev](200403091900)
Comment 5 Jiri Rechtacek 2004-03-10 15:41:00 UTC
Dafe, please could you review my patch. It's really simple and works
for me. Thanks
Comment 6 David Simonek 2004-03-10 16:45:55 UTC
Reviewed, OK, simple and safe.
Comment 7 Jiri Rechtacek 2004-03-11 13:10:55 UTC
Thanks, the patch was backported to release36.
Comment 8 Marian Mirilovic 2004-03-12 08:51:09 UTC
verified in [nb_36](200403111830)